/*
		VT_DRIVE.H
		
		Definitionen fr VT-Treiber von mz'92
		fr VT-Decoder-Hardware von Print-Technik
		
		Version 1.00   12.11.92
		        1.01   01.12.92
		fr PURE C / TURBO C		

		Copyright mz'92
*/

/* Definition fr BIOS-Aufruf laden
   (funktioniert so wie hier angegeben fr PURE C / TURBO C) */

#ifndef __TOS
	#include <tos.h>
#endif

/* Definitionen fr Funktions-Modi */

#define	VT_INIT			0
#define	VT_STATUS		1
#define	VT_PAGE_SET		2
#define	VT_PAGE_TEST	3
#define	VT_PAGE_TEST2	4
#define	VT_PAGE_GET		5
#define	VT_PAGE_TITLE	6
#define	VT_PAGE_INFO	7
#define	VT_STRING_WRITE	8
#define	VT_STRING_READ	9


/* Definition der BIOS-Funktionsnummer */

#define	VT_DRV			121


/* Definition der Fehlermeldungen */

#define	VT_ERR_OK		0L		/* kein Fehler */
#define	VT_ERR_FOUND	0L		/* Page gefunden */
#define	VT_ERR_NODRV	121L	/* Treiber nicht installiert */
#define	VT_ERR_NODEC	-2L		/* VT-Decoder Hardware fehlt/defekt */
#define	VT_ERR_NOTFOUND	-2L		/* Page (noch) nicht gefunden */
#define	VT_ERR_FUNC		-3L		/* unbekannte Funktionsnummer */
#define	VT_ERR_PARAM	-5L		/* ungltige(r) Parameter */
#define	VT_ERR_SIGNAL	-7L		/* kein TV/VT-Signal */
#define	VT_ERR_WRITE	-10L	/* Schreibfehler (soft/hard) */
#define	VT_ERR_READ		-11L	/* Lesefehler (soft/hard) */

